<template>
  <v-form>
    <v-layout row wrap>
      <v-flex>
        <!-- 1st Block -->
        <v-card>
          <v-card-text>
            Form Elements Here
          </v-card-text>
        </v-card>
      </v-flex>
    </v-layout>

    <v-layout row wrap>
      <v-flex xs12 text-xs-right class="ma-3">
        <v-btn color="secondary" @click="previousStep" class="ma-2">Back</v-btn>
        <v-btn color="primary" @click="nextStep" class="ma-2">Continue</v-btn>
      </v-flex>
    </v-layout>
  </v-form>
</template>

<script>
  export default {
    name: 'template-step-form',
    components: {},
    props: {
      model: {
        type: Object,
        required: true,
      },
    },
    data() {
      return {
      };
    },
    methods: {
      nextStep() {
        this.$emit('nextStep');
      },
      previousStep() {
        this.$emit('previousStep');
      },
    },
  };
</script>

<style scoped>
</style>
